changed initscripts and /var/icinga to /var/lib/icinga
authorMatt Thode <prometheanfire@gentoo.org>
Tue, 22 Nov 2011 19:21:54 +0000 (19:21 +0000)
committerMatt Thode <prometheanfire@gentoo.org>
Tue, 22 Nov 2011 19:21:54 +0000 (19:21 +0000)
Package-Manager: portage-2.1.10.11/cvs/Linux x86_64

net-analyzer/icinga/ChangeLog
net-analyzer/icinga/Manifest
net-analyzer/icinga/files/icinga-init.d-2
net-analyzer/icinga/icinga-1.5.1-r3.ebuild [new file with mode: 0644]

index 9440fbb9da1146628b38e60cfda28fc1ccbb900d..ed3e752db4a000f060148ef78175bdccb1985448 100644 (file)
@@ -1,6 +1,12 @@
 # ChangeLog for net-analyzer/icinga
 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-analyzer/icinga/ChangeLog,v 1.3 2011/11/21 23:54:06 prometheanfire Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/icinga/ChangeLog,v 1.4 2011/11/22 19:21:54 prometheanfire Exp $
+
+*icinga-1.5.1-r3 (22 Nov 2011)
+
+  22 Nov 2011; mthode <mthode@gentoo.org> +icinga-1.5.1-r3.ebuild,
+  files/icinga-init.d-2:
+  changed default install from /var/icinga to /var/lib/icinga
 
 *icinga-1.5.1-r2 (21 Nov 2011)
 
index 141ca521d84e6dad9c4136beb79291aa77dcda30..df2e64e5593dc82a1baae4445873c64e72e448cd 100644 (file)
@@ -2,13 +2,14 @@ AUX fix-prestripped-binaries.patch 775 RMD160 45828e00c34df96bd808d211e26ccecbb7
 AUX icinga-apache.conf 377 RMD160 bd009d51035802deb5efd3aaf0b726ca7ef34e2e SHA1 7ba572b8ed52695a8278cc5d57df3fd8cf59dca8 SHA256 e2a17742d8a74f31fd038cbf33533ccdeaed8604cfa026d0fdbb24d3a46e30f9
 AUX icinga-conf.d 178 RMD160 3e8a497619b16ce9e33a8d6ff824b5e5cc8f9c63 SHA1 7824227018db79beb7984cdedda7345fe54f70aa SHA256 68dde656424fc57e66babceb3c6623a235fac8bf1f9cd885138e31878db740db
 AUX icinga-init.d 1207 RMD160 fe0f17d9247da24208281077b6cb46089dc9f22f SHA1 58c8fc60da8f4fb5a7d29a8be83948e11a8719e4 SHA256 d9014a1ce527282e5a404e602b3f08e0a4b842e02bd2fcdd8fffb8e67922557d
-AUX icinga-init.d-2 1245 RMD160 3746ff76dd0affdfc8275cdc301105c09b404187 SHA1 f391fecc33f71c2b1a767fe588916b977a1e7542 SHA256 27547d9d2669ce6e6a60ee9e809ff8d43a15aa650a8344a85bf8d609d4d5fdc5
+AUX icinga-init.d-2 1265 RMD160 253927cf7a49ab64a8be17973b000419a937b1a8 SHA1 b12975884c4c65523d10546fab1c3e13c6395334 SHA256 fb0b1ba20ab69f9fd17f06734f3bf0e6bb3b3f0ac0f8fa699d5514eb48d1a63c
 AUX icinga-lighty.conf 465 RMD160 34de76ad07f95e2282ae3e192b35cd9310ef2b4e SHA1 0d74cc2936327121f07b61fb1a348ce66035bfbb SHA256 f4059bc54959fb2544f23c2fc6a86f0ab2467025ce1f468317a0079b55116b44
 AUX ido2db-conf.d 35 RMD160 a2bb1738720a56285da529fb18eeb60739ac817b SHA1 57ba29aec3f80db9577da4aca34d228487dd12c1 SHA256 6cbdf0eb7070121bd466c221d73cf6ca05a4af5caa1d4abedf62828edd1b1372
 AUX ido2db-init.d 924 RMD160 b4756574f38fed0fc85ecfae1bf353a4811fa4e2 SHA1 f7bf09a34fe55dd49c3381ca11781a643e4d1ca0 SHA256 88913ba8d8d2824e52ea26d93bdb7587d6ab53020546a6a98c9e9d337cc17985
 DIST icinga-1.5.1.tar.gz 16518659 RMD160 972d1e4dd49fdddf32970868bd16964c7e3cd87d SHA1 61bd47535e9f49e63e0ee1ef2bb56d62e6893418 SHA256 b2cc23ab8b96e9409ce3e7ed4a0e1aabea7f9b4e9d521f5ed23a99ea1c9ec37b
 EBUILD icinga-1.5.1-r1.ebuild 5994 RMD160 a27d0ed3cf235cc84cdb0c884f20830dc43b1b18 SHA1 b1379003bf2f34fcbdb33b0d562b95eb2eb8caf0 SHA256 a9aaf217834524febbbe9da0cc1ece0c0cedfa84925262706d1266499a125728
 EBUILD icinga-1.5.1-r2.ebuild 6371 RMD160 3c8ea4fe6fdc1a519ab8b9498627e9254981acd6 SHA1 5819ddd0a1e753acf5603523b6e10cb71e9fd0c8 SHA256 de518464e70c640dc8a9f967ef256b2833d7a3d685419f3ac85ec3c3b05dd3ec
+EBUILD icinga-1.5.1-r3.ebuild 6534 RMD160 457e74c2d69873f98d67223f40e9bd7b059f5e67 SHA1 f5220e48e5d74de35f27f3821adb53da731e1d71 SHA256 efd859ec69250cc1a835c68b094d03cdcc297ee660e6628c1737e8372167b4e1
 EBUILD icinga-1.5.1.ebuild 6053 RMD160 00f41bc1823d46953883492ce5e2f61e94d2590b SHA1 e8db2ce79b8bd348317e6e5598d07c2ec80ca70b SHA256 37cd668192f7751abe056a66ac8fc13052fbcf61b6d4b7a1d1f24cdd80299702
-MISC ChangeLog 943 RMD160 a3f9c641a625395700706f173d8a7a0e4fb2dc6e SHA1 44ad1980a8e8bd5c753fe7e9e4cbdeab61af1714 SHA256 bfaf379ff81de6820e4c4f931c15310ae325510c16ca8aade3543206b23cc23d
+MISC ChangeLog 1130 RMD160 6e51681b02360428a1d69256bbd077420911bd9f SHA1 c85ede37ea229999e0b3ab665fe335c4b756a6c8 SHA256 208115aabda702661006841a772ece9f1ba0f3ff36e03ad461839c6890ec1ef8
 MISC metadata.xml 614 RMD160 bd86f9fb8e1911deaedaf6e7983e9de3a9e749d4 SHA1 b0ab4641480b5342c67a00edb4bc0bdc1745ca81 SHA256 3814e6b4e6f2d2b42cd82f090136270e834057a170435670c156435e9188ec2d
index ced093919723fc17b2391e11eb0bbdf61c82dd84..e7931d165d79b385f2e67ed2381151032a95735b 100755 (executable)
@@ -27,17 +27,17 @@ checkconfig() {
 start() {
        checkconfig || return 1
        ebegin "Starting icinga"
-       checkpath -d -o icinga:icinga /tmp/icinga /var/run/icinga /var/log/icinga /var/icinga
+       checkpath -d -o icinga:icinga /tmp/icinga /var/run/icinga /var/log/icinga /var/lib/icinga
        checkpath -f -o icinga:icinga /var/log/icinga/icinga.log
-       rm -f /var/icinga/rw/icinga.cmd
-       start-stop-daemon --start --exec /usr/sbin/icinga -e HOME="/var/icinga/home" --pidfile /var/run/icinga/icinga.lock -- -d /etc/icinga/icinga.cfg
+       rm -f /var/lib/icinga/rw/icinga.cmd
+       start-stop-daemon --start --exec /usr/sbin/icinga -e HOME="/var/lib/icinga/home" --pidfile /var/run/icinga/icinga.lock -- -d /etc/icinga/icinga.cfg
        eend $?
 }
 
 stop() {
        ebegin "Stopping icinga"
        start-stop-daemon --stop --pidfile /var/run/icinga/icinga.lock
-       rm -f /var/icinga/status.log /var/run/icinga/icinga.lock /var/icinga/rw/icinga.cmd
+       rm -f /var/lib/icinga/status.log /var/run/icinga/icinga.lock /var/lib/icinga/rw/icinga.cmd
        rm -r /tmp/icinga
        eend $?
 }
diff --git a/net-analyzer/icinga/icinga-1.5.1-r3.ebuild b/net-analyzer/icinga/icinga-1.5.1-r3.ebuild
new file mode 100644 (file)
index 0000000..0ccf885
--- /dev/null
@@ -0,0 +1,225 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/icinga/icinga-1.5.1-r3.ebuild,v 1.1 2011/11/22 19:21:54 prometheanfire Exp $
+
+EAPI=2
+
+inherit depend.apache eutils multilib toolchain-funcs
+
+DESCRIPTION="Nagios Fork - Check daemon, CGIs, docs, IDOutils"
+HOMEPAGE="http://www.icinga.org/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+apache2 api debug +idoutils lighttpd +mysql perl plugins postgres ssl +vim-syntax +web"
+DEPEND="idoutils? ( dev-db/libdbi-drivers[mysql?,postgres?] )
+       perl? ( dev-lang/perl )
+       virtual/mailx
+       web? (
+               media-libs/gd[jpeg,png]
+               lighttpd? ( www-servers/lighttpd dev-lang/php[cgi] )
+               apache2? ( || ( dev-lang/php[apache2] dev-lang/php[cgi] ) )
+       )
+       !net-analyzer/nagios-core"
+RDEPEND="${DEPEND}
+       plugins? ( net-analyzer/nagios-plugins )"
+
+want_apache2
+
+pkg_setup() {
+       depend.apache_pkg_setup
+       enewgroup icinga
+       enewgroup nagios
+       enewuser icinga -1 -1 /var/spool/icinga "icinga,nagios"
+       if use web ; then
+               elog "This does not include cgis that are perl-dependent"
+               elog "Currently traceroute.cgi is perl-dependent"
+               elog "Note that the user your webserver is running as needs"
+               elog "read-access to /etc/icinga."
+               elog
+               if use apache2 || use lighttpd ; then
+                       elog "There are several possible solutions to accomplish this,"
+                       elog "choose the one you are most comfortable with:"
+                       elog
+                       if use apache2 ; then
+                               elog "  usermod -G icinga apache"
+                               elog "or"
+                               elog "  chown icinga:apache /etc/icinga"
+                               elog
+                               elog "Also edit /etc/conf.d/apache2 and add \"-D ICINGA\""
+                       elif use lighttpd ; then
+                               elog "  usermod -G icinga lighttpd "
+                               elog "or"
+                               elog "  chown icinga:lighttpd /etc/icinga"
+                               elog "Also edit /etc/lighttpd/lighttpd.conf and add 'include \"lighttpd_icinga.conf\"'"
+                       fi
+                       elog
+                       elog "That will make icinga's web front end visable via"
+                       elog "http://localhost/icinga/"
+                       elog
+               else
+                       elog "IMPORTANT: Do not forget to add the user your webserver"
+                       elog "is running as to the icinga group!"
+               fi
+
+       else
+               ewarn "Please note that you have installed Icinga without web interface."
+               ewarn "Please don't file any bugs about having no web interface when you do this."
+               ewarn "Thank you!"
+       fi
+
+}
+
+src_prepare() {
+       epatch "${FILESDIR}/fix-prestripped-binaries.patch"
+}
+
+src_configure() {
+       local myconf
+       local myconf2
+
+       myconf="$(use_enable perl embedded-perl)
+       $(use_with perl perlcache)
+       $(use_enable idoutils)
+       $(use_enable ssl)
+       $(use_enable debug DEBUG0)
+       $(use_enable debug DEBUG1)
+       $(use_enable debug DEBUG2)
+       $(use_enable debug DEBUG3)
+       $(use_enable debug DEBUG4)
+       $(use_enable debug DEBUG5)
+       --disable-statuswrl
+       --with-cgiurl=/icinga/cgi-bin
+       --with-log-dir=/var/log/icinga"
+
+       myconf2="--bindir=/usr/sbin
+       --sbindir=/usr/$(get_libdir)/icinga/cgi-bin
+       --datarootdir=/usr/share/icinga/htdocs
+       --localstatedir=/var/lib/icinga
+       --sysconfdir=/etc/icinga"
+
+       if use plugins ; then
+               myconf2+=" --libexecdir=/usr/$(get_libdir)/nagios/plugins"
+       else
+               myconf2+=" --libexecdir=/usr/$(get_libdir)/icinga/plugins"
+       fi
+
+       if use !apache2 && use !lighttpd ; then
+               myconf2+=" --with-command-group=icinga"
+       else
+               if use apache2 ; then
+                       myconf+=" --with-httpd-conf=/etc/apache2/conf.d"
+                       myconf2+=" --with-command-group=apache"
+               elif use lighttpd ; then
+                       myconf2+=" --with-command-group=lighttpd"
+               fi
+       fi
+
+       econf ${myconf} ${myconf2}
+       if use api ; then
+               cd module/icinga-api || die
+               econf ${myconf2}
+       fi
+}
+
+src_compile() {
+       tc-export CC
+
+       emake icinga || die "make failed"
+
+       if use web ; then
+               emake DESTDIR="${D}" cgis || die
+       fi
+
+       if use idoutils ; then
+               emake DESTDIR="${D}" idoutils || die
+       fi
+}
+
+src_install() {
+       dodoc Changelog README UPGRADING || die
+
+       if ! use web ; then
+               sed -i -e '/cd $(SRC_\(CGI\|HTM\))/d' Makefile || die
+       fi
+
+       sed -i -e 's/^contactgroups$//g' Makefile || die
+
+       emake DESTDIR="${D}" install{,-config,-commandmode} || die
+
+       sed -i -e 's/var\/icinga\/icinga.lock/var\/run\/icinga\/icinga.lock/g' "${D}"/etc/icinga/icinga.cfg || die
+       sed -i -e 's/var\/icinga\/icinga.tmp/tmp\/icinga\/icinga.tmp/g' "${D}"/etc/icinga/icinga.cfg || die
+
+       if use idoutils ; then
+                emake DESTDIR="${D}" install-idoutils || die
+       fi
+       if use api ; then
+                emake DESTDIR="${D}" install-api || die
+       fi
+
+       newinitd "${FILESDIR}"/icinga-init.d-2 icinga || die
+       newconfd "${FILESDIR}"/icinga-conf.d icinga || die
+       if use idoutils ; then
+               newinitd "${FILESDIR}"/ido2db-init.d ido2db || die
+               newconfd "${FILESDIR}"/ido2db-conf.d ido2db || die
+               insinto /usr/share/icinga/contrib/db
+               doins -r module/idoutils/db/* || die
+       fi
+       # Apache Module
+       if use web ; then
+               if use apache2 ; then
+                       insinto "${APACHE_MODULES_CONFDIR}"
+                       newins "${FILESDIR}"/icinga-apache.conf 99_icinga.conf || die
+               elif use lighttpd ; then
+                       insinto /etc/lighttpd
+                       newins "${FILESDIR}"/icinga-lighty.conf lighttpd_icinga.conf || die
+               else
+                       ewarn "${CATEGORY}/${PF} only supports Apache-2.x or Lighttpd webserver"
+                       ewarn "out-of-the-box. Since you are not using one of them, you"
+                       ewarn "have to configure your webserver accordingly yourself."
+               fi
+       fi
+
+       fowners -R root:root /usr/$(get_libdir)/icinga || die
+       cd "${D}" || die
+       find usr/$(get_libdir)/icinga -type d -exec fperms 755 {} +
+       find usr/$(get_libdir)/icinga/cgi-bin -type f -exec fperms 755 {} +
+       dodir /var/run/icinga || die
+       fowners icinga:icinga /var/run/icinga || die
+
+       keepdir /etc/icinga
+       keepdir /var/lib/icinga
+       keepdir /var/lib/icinga/archives
+       keepdir /var/lib/icinga/rw
+       keepdir /var/lib/icinga/spool/checkresults
+
+       if use apache2 ; then
+               webserver=apache
+       elif use lighttpd ; then
+               webserver=lighttpd
+       else
+               webserver=icinga
+       fi
+
+       fowners icinga:icinga /var/lib/icinga || die "Failed chown of /var/lib/icinga"
+       fowners -R icinga:${webserver} /var/lib/icinga/rw || die "Failed chown of /var/lib/icinga/rw"
+
+       fperms 6755 /var/lib/icinga/rw || die "Failed Chmod of ${D}/var/lib/icinga/rw"
+       fperms 0750 /etc/icinga || die "Failed chmod of ${D}/etc/icinga"
+}
+
+pkg_postinst() {
+       elog "If you want icinga to start at boot time"
+       elog "remember to execute:"
+       elog "  rc-update add icinga default"
+       elog
+       elog "If your kernel has /proc protection, icinga"
+       elog "will not be happy as it relies on accessing the proc"
+       elog "filesystem. You can fix this by adding icinga into"
+       elog "the group wheel, but this is not recomended."
+       elog
+       elog "/var/icinga was moved to /var/lib/icinga"
+       elog "please move the file if this was an upgrade"
+}